diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 5c826cf..a09315b 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -146705,7 +146705,7 @@ TwoFactorize(F) : C == T
           exchangeVarTerm(reductum c, e)
 
     pthRoot(poly:R,p:NonNegativeInteger,PthRootPow:NonNegativeInteger):R ==
-       tmp:=divideExponents(map((#1::F)**PthRootPow,poly),p)
+       tmp:=divideExponents(map((x:F):F+->(x::F)**PthRootPow,poly),p)
        tmp case "failed" => error "consistency error in TwoFactor"
        tmp
  
@@ -146769,14 +146769,16 @@ TwoFactorize(F) : C == T
               map(differentiate,fac) = 0 =>
                 p:=characteristic$F
                 PthRootPow:=(size$F exquo p)::NonNegativeInteger
-                m1:=divideExponents(map(pthRoot(#1,p,PthRootPow),fac),p)
+                m1:=divideExponents(map(x+->pthRoot(x,p,PthRootPow),fac),p)
                 m1 case "failed" => error "consistency error in TwoFactor"
                 res:=generalTwoFactor m1
                 unitPart:=unitPart*unit(res)**((p*expon)::NNI)
-                ll:=[:[[v.flg,v.fctr,expon *p*v.xpnt] for v in factorList res],:ll]
+                ll:=
+                 [:[[v.flg,v.fctr,expon*p*v.xpnt] for v in factorList res],:ll]
               m2:=generalTwoFactor swap fac
               unitPart:=unitPart*unit(m2)**(expon::NNI)
-              ll:=[:[[v.flg,swap v.fctr,expon*v.xpnt] for v in factorList m2],:ll]
+              ll:=
+               [:[[v.flg,swap v.fctr,expon*v.xpnt] for v in factorList m2],:ll]
            ydeg:="max"/[degree w for w in coefficients fac]
            twoF:=twoFactor(fac,ydeg)
            unitPart:=unitPart*unit(twoF)**expon
@@ -146800,7 +146802,7 @@ TwoFactorize(F) : C == T
           vval := random()$F
           i:=i+1
           zero? elt(lcm, vval) => "next value"
-          umv := map(elt(#1,vval), m)$UPCF2(R, P, F, R)
+          umv := map(x +-> elt(x,vval), m)$UPCF2(R, P, F, R)
           degree(gcd(umv,differentiate umv))^=0 => "next val"
           n := 1
           look := false
@@ -146823,7 +146825,7 @@ TwoFactorize(F) : C == T
          val:=random()$extField
          i:=i+1
          elt(lcmm,val)=0 => "next value"
-         umex := map(elt(#1,val), mm)$UPCF2(SUEx, TP, extField, SUEx)
+         umex := map(x +-> elt(x,val), mm)$UPCF2(SUEx, TP, extField, SUEx)
          degree(gcd(umex,differentiate umex))^=0 => "next val"
          look:=false
        prime:SUEx:=monomial(1,1)-monomial(val,0)
diff --git a/changelog b/changelog
index 3908072..cd95dcc 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090624 tpd src/axiom-website/patches.html 20090624.05.tpd.patch
+20090624 tpd books/bookvol10.4 TWOFACT +-> conversion
 20090624 tpd src/axiom-website/patches.html 20090624.04.tpd.patch
 20090624 tpd books/bookvol10.4 CLIP +-> conversion
 20090624 tpd src/axiom-website/patches.html 20090624.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 169f744..b8c7695 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1659,5 +1659,7 @@ bookvol10.4 SOLVETRA +-> conversion<br/>
 bookvol10.4 TRIGMNIP +-> conversion<br/>
 <a href="patches/20090624.04.tpd.patch">20090624.04.tpd.patch</a>
 bookvol10.4 CLIP +-> conversion<br/>
+<a href="patches/20090624.05.tpd.patch">20090624.05.tpd.patch</a>
+bookvol10.4 TWOFACT +-> conversion<br/>
  </body>
 </html>
